import { Store } from '@ngxs/store';
import { SmzTransaction } from '../models/editable-transaction';
import * as i0 from "@angular/core";
export declare class SmzTransactionsService {
    private store;
    private transactions;
    private concludedTransactions;
    private isDebug;
    constructor(store: Store);
    add(dispatchAction: any, success: () => void, failure: (errors: string[]) => void): string;
    private dispatch;
    private dismissWithSuccess;
    private dismissWithFailure;
    private conclude;
    getConcluded(): SmzTransaction[];
    getTransactions(): SmzTransaction[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SmzTransactionsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SmzTransactionsService>;
}
